Bug 149906 - local variable used before set
Summary: local variable used before set
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: opencdk   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-28 18:43 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-03 17:50:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-02-28 18:43:03 UTC
Description of problem:

I just tried to compile package opencdk-0.5.5-1 from 
Redhat Fedora Extras development tree.

The compiler said

t-stream.c(452): remark #592: variable "rc" is used before its value
is set

The source code is

  int rc ;

  cdk_handle_new (&hd);
  cdk_keydb_new (&db, CDK_DBTYPE_SK_KEYRING, "sec.gpg", 7);
  cdk_strlist_add (&locusr, "twoaday@daredevil");
      //rc = cdk_file_clearsign (hd, locusr, file, "out.asc");
  if (rc)
    printf ("clearsign_file %s: `%s'\n", file, cdk_strerror (rc));

Suggest init local variable "rc" before first use. Should the 
commented out code be put back in ?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Enrico Scholz 2005-03-03 17:50:23 UTC
thx, reported upstream and will be (hopefully) fixed in the next release. It
happens in test-code only, so I do not fix it immediately.

http://lists.gnupg.org/pipermail/gnutls-dev/2005-March/000830.html


Note You need to log in before you can comment on or make changes to this bug.